Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAQSP

    java.lang.Object
      org.netlib.lapack.SLAQSP

    public class SLAQSP

extends java.lang.Object

    SLAQSP is a simplified interface to the JLAPACK routine slaqsp.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAQSP equilibrates a symmetric matrix A using the scaling factors
     *  in the vector S.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          symmetric matrix A is stored.
     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  AP      (input/output) REAL array, dimension (N*(N+1)/2)
     *          On entry, the upper or lower triangle of the symmetric matrix
     *          A, packed columnwise in a linear array.  The j-th column of A
     *          is stored in the array AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j;
     *          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n.
     *
     *          On exit, the equilibrated matrix:  diag(S) * A * diag(S), in

     *          the same storage format as A.
     *
     *  S       (input) REAL array, dimension (N)
     *          The scale factors for A.
     *
     *  SCOND   (input) REAL
     *          Ratio of the smallest S(i) to the largest S(i).
     *
     *  AMAX    (input) REAL
     *          Absolute value of largest matrix entry.
     *
     *  EQUED   (output) CHARACTER*1
     *          Specifies whether or not equilibration was done.
     *          = 'N':  No equilibration.
     *          = 'Y':  Equilibration was done, i.e., A has been replaced by

     *                  diag(S) * A * diag(S).
     *
     *  Internal Parameters
     *  ===================
     *
     *  THRESH is a threshold value used to decide if scaling should be done

     *  based on the ratio of the scaling factors.  If SCOND < THRESH,
     *  scaling is done.
     *
     *  LARGE and SMALL are threshold values used to decide if scaling should
     *  be done based on the absolute size of the largest matrix element.
     *  If AMAX > LARGE or AMAX < SMALL, scaling is done.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAQSP()`

Method Summary
`static void` | `SLAQSP(java.lang.String uplo, int n, float[] ap, float[] s, float scond, float amax, StringW equed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAQSP

    public SLAQSP()

Method Detail

### SLAQSP

    public static void SLAQSP(java.lang.String uplo,
                              int n,
                              float[] ap,
                              float[] s,
                              float scond,
                              float amax,
                              StringW equed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD